#
# spec file for package heimdal (Version 0.4d)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf db db-devel libtool openssl openssl-devel readline readline-devel xdevel xshared
# usedforbuild    aaa_base aaa_dir base bash bindutil bison bzip compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib db-devel gcc gdbm gettext libtool libz openssl openssl-devel pam perl readline-devel rpm xdevel xshared

Name:         heimdal
Summary:      heimdal
Version:      0.4d
Release:      132
Group:        Networking/Security
Copyright:    BSD
Source0:      heimdal-%{version}.tar.bz2
Source1:      kdc.init
Patch:        heimdal-%{version}.patch
Patch1:       heimdal-0.4e-security.patch
Patch2:       heimdal-0.4e-security2.patch
Patch3:       heimdal-0.4e-security3.patch
Url:          http://www.pdc.kth.se/src/heimdal
Requires:     heimdal-lib
# Cannot use BuildRoot with libtool
#BuildRoot:    %{_tmppath}/%{name}-root
%package      devel
Summary:      heimdal-devel
Autoreqprov:  on
Group:        System Environment/Libraries
Prefix:       %{_prefix}
%package      lib
Summary:      heimdal-lib
Autoreqprov:  on
Group:        System Environment/Libraries
Prefix:       %{_prefix}

%description
Heimdal is a free implementation of Kerberos5 available from
http://www.pdc.kth.se/src/heimdal, also the home of KTH-Krb --
a likewise free impelementation of Kerberos4. Heimdal is main-
tained and produced in Sweden (outside the US!) and is in the
public domain in the sense of the Wassenaar agreement and is
thus freely exportable.

Authors:
--------
    heimdal@pdc.kth.se

SuSE series: sec


%description devel
Heimdal is a free implementation of Kerberos5 available from
http://www.pdc.kth.se/src/heimdal-devel, also the home of KTH-Krb --
a likewise free impelementation of Kerberos4. Heimdal is main-
tained and produced in Sweden (outside the US!) and is in the
public domain in the sense of the Wassenaar agreement and is
thus freely exportable.

Authors:
--------
    heimdal-devel@pdc.kth.se

SuSE series: sec


%description lib
Heimdal is a free implementation of Kerberos5 available from
http://www.pdc.kth.se/src/heimdal-devel, also the home of KTH-Krb --
a likewise free impelementation of Kerberos4. Heimdal is main-
tained and produced in Sweden (outside the US!) and is in the
public domain in the sense of the Wassenaar agreement and is
thus freely exportable.

Authors:
--------
    heimdal@pdc.kth.se

SuSE series: sec

%prep
%setup
%{?suse_update_config:%{suse_update_config}}
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
# This files are embedded here instead of being another source in order
# to the prefix directory
cat >rc.config.kdc <<EOFF
#
# Should the Heimdal Kerberos be started at bootup? (yes/no)
#
START_KDC="no"
EOFF
libtoolize --force
aclocal -I cf
autoconf

%build
%ifarch ia64
CFLAGS="-O0" \
%else
CFLAGS="-O2" \
%endif
./configure --enable-shared --prefix=/usr/lib/heimdal \
	--with-x --mandir=%{_mandir} \
	--infodir=%{_infodir} --libexecdir=/usr/lib/heimdal/sbin \
	--includedir=/usr/include/heimdal \
	--with-readline-include=/usr/include/readline \
	--with-readline-lib=/usr/lib
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/include/heimdal
mkdir -p $RPM_BUILD_ROOT/usr/lib/heimdal
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
mkdir -p $RPM_BUILD_ROOT/var/heimdal
mkdir -p $RPM_BUILD_ROOT/sbin
make DESTDIR=$RPM_BUILD_ROOT install
install -m 755 %{S:1}        ${RPM_BUILD_ROOT}/etc/init.d/kdc
install -m 644 rc.config.kdc ${RPM_BUILD_ROOT}/var/adm/fillup-templates/rc.config.kdc
install -m 644 krb5.conf ${RPM_BUILD_ROOT}/etc
ln -sf ../etc/init.d/kdc ${RPM_BUILD_ROOT}/sbin/rckdc

%post
sbin/insserv etc/init.d/kdc
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.kdc
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.kdc and"
  echo "update by hand."
fi

%postun
sbin/insserv etc/init.d/

%files
/etc/init.d/kdc
/sbin/rckdc
/usr/lib/heimdal/sbin
/usr/lib/heimdal/bin
%dir /var/heimdal
# %doc %{_mandir}/man1/ftp.1.gz
%doc %{_mandir}/man1/kdestroy.1.gz
%doc %{_mandir}/man1/kf.1.gz
%doc %{_mandir}/man1/kgetcred.1.gz
%doc %{_mandir}/man1/kinit.1.gz
%doc %{_mandir}/man1/klist.1.gz
%doc %{_mandir}/man1/kpasswd.1.gz
%doc %{_mandir}/man1/krb5-config.1.gz
%doc %{_mandir}/man1/kx.1.gz
%doc %{_mandir}/man1/otp.1.gz
%doc %{_mandir}/man1/otpprint.1.gz
%doc %{_mandir}/man1/pfrom.1.gz
%doc %{_mandir}/man1/rxtelnet.1.gz
%doc %{_mandir}/man1/rxterm.1.gz
# %doc %{_mandir}/man1/telnet.1.gz
%doc %{_mandir}/man1/tenletxr.1.gz
%doc %{_mandir}/man1/xnlock.1.gz
%doc %{_mandir}/man3/editline.3.gz
%doc %{_mandir}/man3/kafs.3.gz
%doc %{_mandir}/man3/krb5_425_conv_principal.3.gz
%doc %{_mandir}/man3/krb5_appdefault.3.gz
%doc %{_mandir}/man3/krb5_auth_context.3.gz
%doc %{_mandir}/man3/krb5_build_principal.3.gz
%doc %{_mandir}/man3/krb5_config.3.gz
%doc %{_mandir}/man3/krb5_context.3.gz
%doc %{_mandir}/man3/krb5_free_principal.3.gz
%doc %{_mandir}/man3/krb5_init_context.3.gz
%doc %{_mandir}/man3/krb5_openlog.3.gz
%doc %{_mandir}/man3/krb5_parse_name.3.gz
%doc %{_mandir}/man3/krb5_sname_to_principal.3.gz
%doc %{_mandir}/man3/krb5_unparse_name.3.gz
%doc %{_mandir}/man3/krb5_warn.3.gz
#%doc %{_mandir}/man5/ftpusers.5.gz
%doc %{_mandir}/man5/krb5.conf.5.gz
#%doc %{_mandir}/man8/ftpd.8.gz
%doc %{_mandir}/man8/hprop.8.gz
%doc %{_mandir}/man8/hpropd.8.gz
%doc %{_mandir}/man8/kadmin.8.gz
%doc %{_mandir}/man8/kadmind.8.gz
%doc %{_mandir}/man8/kdc.8.gz
%doc %{_mandir}/man8/kerberos.8.gz
%doc %{_mandir}/man8/kfd.8.gz
%doc %{_mandir}/man8/kpasswdd.8.gz
%doc %{_mandir}/man8/kstash.8.gz
%doc %{_mandir}/man8/ktutil.8.gz
%doc %{_mandir}/man8/kxd.8.gz
%doc %{_mandir}/man8/push.8.gz
%doc %{_mandir}/man8/string2key.8.gz
#%doc %{_mandir}/man8/telnetd.8.gz
%doc %{_mandir}/man8/verify_krb5_conf.8.gz
%doc %{_infodir}/heimdal.info.gz
%doc ChangeLog* NEWS README TODO doc etc
/var/adm/fillup-templates/rc.config.kdc

%files devel
/usr/include/heimdal
/usr/lib/heimdal/lib/*.a
/usr/lib/heimdal/lib/*.la
/usr/lib/heimdal/lib/*.so

%files lib
%config(noreplace) /etc/krb5.conf
/usr/lib/heimdal/lib/*.so.*

%changelog -n heimdal
* Tue Sep 17 2002 - okir@suse.de
- fixed another buffer overflow (gss_get_mic)
* Mon Sep 09 2002 - draht@suse.de
- heimdal-0.4e-security2.patch against weaknesses found by
  krahmer@suse.de during SuSE Security audit
* Tue Aug 20 2002 - okir@suse.de
- security fix for res_search buffer overflow
* Fri Aug 24 2001 - schwab@suse.de
- Update libtool configuration.
- Don't use BuildRoot due to problem with libtool relinking.
* Fri Aug 24 2001 - sbose@suse.de
- updated to version 0.4d
- supplied libtool is not able to build shared libraries, spec file
  copies the local one to fix it
* Tue Jun 12 2001 - bk@suse.de
- add suse_update_config, needed for s390x
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Mon Apr 30 2001 - schwab@suse.de
- Add readline, readline-devel, db, db-devel to neededforbuild.
- Configure with system readline.
- Compile with -O0 on ia64.
* Sun Apr 29 2001 - kukuk@suse.de
- Remove executeable flag from config files [Bug #7407]
* Mon Apr 23 2001 - choeger@suse.de
- splitted into -lib subpackage
- removed --with-openldap
- renamed specfile
- fixed init-script
- added rclink
- added /var/heimdal directory
- added /etc/krb5.conf to -lib subpackage
- added -lib to requires
* Thu Apr 19 2001 - choeger@suse.de
- splitted into -devel
- changed path from /opt to /urs/lib
- fixed location of manpages/infofiles
- changed location of includes and libs
- removed conflicting manpages
* Tue Apr 10 2001 - mge@suse.de
- changed %%post-script and kdc.init
* Tue Apr 10 2001 - ro@suse.de
- fixed RPM Group to Networking/Security
* Tue Apr 10 2001 - sbose@suse.de
- initial version 0.3e
